Bug 175668 - gfortran run-time error with multiple tabs in format continuation
gfortran run-time error with multiple tabs in format continuation
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-13 15:14 EST by David Mastronarde
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 04:24:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Program with format continuation indented with more than one tab (171 bytes, text/plain)
2005-12-13 15:16 EST, David Mastronarde
no flags Details

  None (edit)
Description David Mastronarde 2005-12-13 15:14:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
If a format statement is continued onto another line and the continuation line is indented with more than one tab after the continuation character, there is
a runtime error such as
Fortran runtime error: Unexpected element in format
(i4,i4,                                                             i4,i4)
                                                           ^


Version-Release number of selected component (if applicable):
gcc-gfortran-4.0.2-8.fc4

How reproducible:
Always

Steps to Reproduce:
1. compile sample program with tab indentation
2. run program
3.
  

Actual Results:  Failed with runtime error

Expected Results:  No problem, as in g77 and Intel compilers

Additional info:

Also fails under Mac OS X , gcc version 4.1.0 20051026 (experimental)
Comment 1 David Mastronarde 2005-12-13 15:16:05 EST
Created attachment 122194 [details]
Program with format continuation indented with more than one tab
Comment 2 Jakub Jelinek 2005-12-13 15:18:13 EST
Can you please file it upstream, especially when you already verified it
is present on GCC trunk?  That's much better place for tracking the bug,
there are many more fortran hackers watching and working on that bug database.
http://gcc.gnu.org/bugzilla/
Thanks.
Comment 3 David Mastronarde 2005-12-13 19:47:02 EST
OK, I've filed it there.  The first bug I ran into directed me to report
on the redhat site, so I kept reporting here.  Now I understand why my searches
on gfortran never turned up much here.

Should I refile my other bug # 175648?
Comment 4 Jakub Jelinek 2005-12-14 04:24:18 EST
Yes, please.  If it is really serious bug, you can add me to CC, but I prefer
Fortran bugreports going upstream if they aren't Red Hat GCC specific.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.